#
# spec file for package yast2-kdump (Version 2.13.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-kdump
Version:        2.13.12
Release:        0.4.75
License:        GPL v2 only
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-kdump-2.13.12.tar.bz2
Prefix:         /usr
Requires:       yast2 yast2-storage yast2-bootloader
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-bootloader yast2-devtools yast2-storage yast2-testsuite
Recommends:     makedumpfile
Summary:        Configuration of kdump

%description
Configuration of kdump



Authors:
--------
    Jozef Uhliarik <juhliarik@suse.cz>

%prep
%setup -n yast2-kdump-2.13.12

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/kdump
/usr/share/YaST2/include/kdump/*
/usr/share/YaST2/clients/kdump.ycp
/usr/share/YaST2/modules/Kdump.*
%{prefix}/share/applications/YaST2/kdump.desktop
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-kdump

%changelog
* Fri Jun 13 2008 juhliarik@suse.cz
- added patch for installing kernel-kdumppae (bnc #399439)
- added fix for problem with selecting 'Saving Target for Kdump
  Image' in ncurses 80x25 (bnc #373551)
- V 2.13.12
* Wed Feb  6 2008 juhliarik@suse.cz
- added installing kernel-kdump bug#357935
- V 2.13.11
* Thu Jan 17 2008 juhliarik@suse.cz
- added proofread text
- V 2.13.10
* Tue Dec 11 2007 juhliarik@suse.cz
- added new bugfix for bug# 347241 - kdump package needs to be
  installed in yast2-kdump module
- corrections for problem with installing kdump package
- V 2.13.9
* Mon Dec 10 2007 juhliarik@suse.cz
- backporting to sle10-sp2
- added correction for bug# 347241 - kdump package needs to be
  installed in yast2-kdump module
- V 2.13.8
* Thu Aug 30 2007 juhliarik@suse.cz
- added correction for:
  bug#300124 - Adding boot options via yast bootloader doesn't work
  bug#305905 - Unneeded sleeps during KDump reading
- added recommends for makedumpfile
- V 2.15.7
* Mon Aug 27 2007 juhliarik@suse.cz
- added correction for problems:
  bug#301357 - yast2-kdump module always asks for reboot
  bug#301359 - yast2-kdump: Ncurses UI contains no space between text fields
  bug#301361 - yast2-kdump: Username not saved for FTP
  bug#301372 - yast2-kdump: Wrong default port for SSH
  bug#301399 - yast2-kdump: Install makedumpfile if necessary
- V 2.15.6
* Fri Aug 17 2007 juhliarik@suse.cz
- added new interactive installation packages
- V 2.15.5
* Thu Aug 16 2007 juhliarik@suse.cz
- added patch for enable kdump, delete "noarch" from spec file
- deleted switching between Command Line and Command Line Append
- added patch for default allocate memory
- V 2.15.4
* Wed Aug 15 2007 juhliarik@suse.cz
- added patch for problem with installing package kernel-kdump
- V 2.15.3
* Thu Aug  9 2007 juhliarik@suse.cz
- added commandline interface
- V 2.15.2
* Mon Aug  6 2007 juhliarik@suse.cz
- initial version
- V 2.15.1
